<template>
    <div class="grid grid-cols-5 p-1">
        <div class="hidden mt-8 ml-8 sm:block sm:col-span-2 sm:mt-36 md:block md:mt-20 md:col-span-3 lg:mt-10 object-scale-down">
            <img src="../assets/img/background.svg"/>
        </div>
        <div class="col-span-5 mt-20 ml-10 mb-10 mr-10 p-10 sm:p-0 sm:col-span-3 sm:m-10 md:col-span-2">
            <AppCard shadow="lg">
                <template v-slot:header>
                    <AppLabel size="xl" class="font-semibold">Welcome</AppLabel>
                    <AppLabel size="default"><span class=" text-gray-300 font-semibold">to</span> <span class=" text-red-600 font-bold">TESA</span> <span class=" text-gray-300 font-semibold">by</span> <span class="text-red-600 font-bold">BTS.ID</span></AppLabel>
                </template>
                <form-wrapper :validator="$v.form">
                    <div class="mt-8">
                        <form-group class="mb-5" name="email">
                            <AppLabel class="font-semibold" size="sm">Email</AppLabel>
                            <AppInput type="text" placeholder="example@email.com"
                            v-model="form.email" @input="$v.form.email.$touch()" />
                        </form-group>
                        <AppLabel class="font-semibold" size="sm">Password</AppLabel>
                        <form-group name="password">
                            <AppInput type="password" :tooglePassword="true" placeholder="******" 
                            v-model="form.password" @input="$v.form.password.$touch()" />
                        </form-group>
                    </div>
                </form-wrapper>
                <template v-slot:footer>
                    <div class="pt-24">
                        <AppButton class="mb-5" size="xl" color="red" label="Sign In" @click="$router.push('todo')"/>
                        <AppButton size="xl" color="default" label="Register" @click="$router.push('register')"></AppButton>
                    </div>
                </template>
            </AppCard>
        </div>
        <div class="flex gap-5 absolute top-10 left-10 sm:bottom-4 sm:left-10 sm:sticky sm:w-10/12">
            <img src="../assets/img/logo-tesa.svg" alt="">
            <div class="rectangle"></div>
            <img src="../assets/img/logo-bts.svg" alt="">
        </div>
    </div>
</template>

<script>
import AppLabel from '../components/base-components/AppLabel.vue';
import AppInput from '../components/base-components/AppInput.vue';
import AppButton from '../components/base-components/AppButton.vue';
import { required, email, minLength } from "vuelidate/lib/validators";
import AppCard from "../components/base-components/AppCard.vue";

export default {
    data() {
        return {
            form: {
                email: '',
                password: ''
            }
        }
    },
    validations: {
        form: {
            email: { required , email},
            password: { required, minLength: minLength(6) }
        }
    },
    components: { AppLabel, AppInput, AppButton, AppCard },
}
</script>

<style>
.rectangle {
  background-color: #D39B9B;
  border-radius: 2px;
  width: 4px;
  height: 40px;
}
.bg {
  background-color: #FFF1E6;
}
.form-error {
    color: red;
    font-size: 14px;
    position: absolute;
}
</style>